clear;
clc;
close all;
popann=xlsread('population20.xlsx','TPOP'); %1950-2014 assumed to be eop


popagg2=sum(popann,2);
dpopagg=100.*log(popagg2(2:end,1)./popagg2(1:end-1,1));



dates2=1960:2016;


figure
plot(dates2(2:end),dpopagg(10:end-1,:),'Linewidth',1.6)

ylabel('Year to Year Growth Rate');
xlabel('Year');
xlim([1960,2016])
ylim([0,1.3])



