function infavg=infagg(gdpshare60, sp_yr, inf_end, core_beg,core_start);

% clear;
% clc;
% close all;
% 
% ind=xlsread('data160614.xlsx','Intro');
% inf_end=1;
% core_beg=1955.25;
% core_start=1958.25;
% sp_yr=ind(:,3);
% load gdpshare.mat;


cpi_inv=xlsread('data160614.xlsx','CPI');
ccpi_inv=xlsread('data160614.xlsx','CoreCPI');
cpi_ireland0=xlsread('data160614.xlsx','Irelandcpi');
cpi_ireland=cpi_ireland0(:,3);
cpi_inv(1:(1976-1947.25)*4+1,13)=cpi_ireland(1:(1976-1947.25)*4+1,1);
[nt0,ncoun]=size(cpi_inv);

%break
ccpi_inv=[nan(4*(core_beg-1947.25),ncoun);ccpi_inv]; % make up data so that ccpi also starts from 1947q1
%size(cpi_inv,1)-size(ccpi_inv,1)


sp_c=find(sp_yr>=core_start);      % countries that needs to splice
nsp_c=find(sp_yr<core_start);    % countries that does not need to splice



pic=400.*(log(cpi_inv(2:end,:))-log(cpi_inv(1:end-1,:)));  
picore=400.*(log(ccpi_inv(2:end,:))-log(ccpi_inv(1:end-1,:)));

pic=[nan(1,ncoun); pic];
picore=[nan(1,ncoun); picore];  % make up one sample unit lost because of the difference of price level

core_start=core_start+0.25;       % starting date and splicing date also delayed one quarter
sp_yr=sp_yr+0.25;
picore_inv=zeros(nt0-inf_end,ncoun);

picore_inv(:,nsp_c)=picore(1:end-inf_end,nsp_c);


for i=1:size(sp_c,1)

picore_inv((core_start-1947.25)*4+1:(sp_yr(sp_c(i))-1947.25)*4,sp_c(i))=pic((core_start-1947.25)*4+1:(sp_yr(sp_c(i))-1947.25)*4,sp_c(i));
picore_inv((sp_yr(sp_c(i))-1947.25)*4+1:end,sp_c(i))=picore((sp_yr(sp_c(i))-1947.25)*4+1:end-inf_end,sp_c(i));
end



picore_59=picore_inv((1959.25-1947.25)*4+1:end,:);

gdpshare=[repmat(gdpshare60(1,:),4,1);gdpshare60];

infavg=sum(gdpshare.*picore_59,2);



%%***********************Import the GDP share data in 1959*****************

% coun59=[592,608,600,620,623,609,652,584,585,586,607,612,616,635,636,642,625,605,645,593]-1;
% %PAY ATTENTION: the number can be got by following steps:
% %(1) download PWT9.0 from the website and copy it to the data sheet
% % (2) Sort the data by region code first, then sort the data by year
% % (3) find the year 1959 and record the location of the respective country
% % (4) minus the loacation to 1 because the headline takes a line that
% % matlab does not read
% gdppwtt0=xlsread('data160614.xlsx','PWT9');
% gdppwt=gdppwtt0(coun59,:);
% gdpshare59=gdppwt/sum(gdppwt);
% figure
% plot(gdpshare59,'-r')
% hold on
% plot(gdpshare60(1,:))
% 






