function rstar=us15q4lw(excel_ind, percap);

data1=xlsread('dataagg160619.xlsx','us15q4');    % This data is from the John Williams' Webpage.

rstar=data1(:,1);
zn1=data1(:,2);
cgn1=rstar-zn1;
dates=1961.25:0.25:2016;
figure (6)
plot(dates,rstar,'-k','LineWidth',1.6);
hold on
plot(dates,cgn1,'--r','LineWidth',1.6)
hold on
plot(dates,zn1, '--b', 'LineWidth',1.6)
hold on
plot(dates,zeros(size(zn1,1),1),'--k')
 
legend('Natural Rate', 'c*g', 'z Component')
   xlim([1961.25,2016]) 
%ylim([-4 14])
%title('Natural Rate of Interest and its Decomposition, US by LW')
xlabel('Year')
ylabel('Decomposition of Natural Rate of Interest');

if excel_ind==1+percap;

xlswrite('worldrate',rstar,'figure6','B2');
xlswrite('worldrate',cgn1,'figure6','C2');
xlswrite('worldrate',zn1,'figure6','D2');
z000=zeros(size(zn1,1),1);
xlswrite('worldrate',z000,'figure6','E2');

end;


