function nitr=intagg(gdpshare, ind_eur, ind_64, itr_end);

% input: 
% gdpshare: the weight that aggregate the interest rate
% ind_eur: indicate countries which needs stacking the old interest rate on
%          the new. ind_eur=0 
% itr_end: used when the sample ends exceeds the gdpshare
% clear
% 
% ind=xlsread('data160614.xlsx','Intro');
% ind_eur=ind(:,4);
% ind_64=ind(:,5);
% itr_end=1;


itr_inv=xlsread('data160614.xlsx','Policyrateavg');

int_eur=xlsread('data160614.xlsx','Eurointerest');

begyr=1947;     begqtr=1;
begsamyr=1960;  begsamqtr=1;

d60q1=(begsamyr-begyr)*4+(begsamqtr-begqtr)+1;
d64q1=(1964-begyr)*4+(1-begqtr)+1;
d99q1=(1999-begyr)*4+(1-begqtr)+1;  % for  Euro
d01q1=(2001-begyr)*4+(1-begqtr)+1;  % for Greece

sp_64=find(~(ind_64-1));
sp_eur=find(~(ind_eur-1));
sp_greece=find(~(ind_eur-2));
sp_netherland=find(~(ind_eur-3));



itr_inv(d60q1:d64q1-1,sp_64)=repmat(itr_inv(d64q1,sp_64),d64q1-d60q1 ,1);

itr_inv(d99q1:end,sp_eur)=repmat(int_eur,1,size(sp_eur,1));                            

itr_inv(d01q1:end, sp_greece)=int_eur(d01q1-d99q1+1:end,1);


%************Netherland**********************************************
neth_mmr=xlsread('data160614.xlsx','Netherlandinterest');


itr_inv(d60q1:d64q1-1,sp_netherland)=repmat(3.5, d64q1-d60q1,1);
d94q1=(1994-begyr)*4+(1-begqtr)+1;
itr_inv(d94q1:d99q1-1,sp_netherland)=neth_mmr(d94q1-d60q1+1:d99q1-d60q1,1);

itr_inv(d99q1:end,sp_netherland)=int_eur;                            

%**********************************************************************

%**********************Make up missing data by guess*************
% There are four missing data: Ireland 92Q4, 93Q1; Spain 79Q3, 84Q2
 d92q4=(1992-begyr)*4+(4-begqtr)+1;    % Ireland
 d93q1=d92q4+1;
itr_inv(d92q4,13)=21.92; % by looking at other interest rates, I set 1992M11 as 35, 1992M12 as 17
itr_inv(d93q1,13)= 15.08; % I set 1993M1 as 22


d79q3=(1979-begyr)*4+(3-begqtr)+1;    % Spain
d84q2=(1984-begyr)*4+(2-begqtr)+1;
d79q3
d84q2

itr_inv(d79q3,18)=12.27;  % I set 1979M7 as 14.5 
itr_inv(d84q2,18)= 14.93; % I set 1984M4 as 16.9, linear interpolation
%**********************************************************




itr_inv60=itr_inv(d60q1:end-itr_end,:);
nitr=sum(itr_inv60.*gdpshare, 2);






%*********************************************************************



